跳转到主要内容
POST
Get Weather Forecast

请求规范

  • 方法与路径: POST /apis/v1/api-ninjas/get-weather-forecast
  • 可用状态: enabled
  • 请求 URL 模板: https://api.aisa.one/apis/v1/api-ninjas/get-weather-forecast
  • Runtime 事实版本: 80f6d0ab09ca1b2bfaa51bc30934eca7d1f0ea7e38c9d075b9100f098998c5d9
完整 OpenAPI 定义 有效请求与价格声明(包括认证和引用的 schema):

费用与请求规则

按用量计费;默认请求预估费用:$0.00089 USD(不是固定价格)。 声明的单位费率:每 provider_credit $0.000001 USD。 最终费用以账户适用价格及实际结算为准。 公开参考值不是你的账户报价或最终扣费。对于支持 X-AISA-Cost-Mode: quote 的接口,执行前请针对完整请求获取免费报价;执行后通过响应费用元数据和 Usage Logs 核对结算费用。1 USD 等于 1,000,000 个整数 micro-USD。
  • 默认请求参考估价(USD): 0.00089
  • 声明的单位费率(USD): 1e-06
  • 计费单位: provider_credit
  • 计费依据: response_units
  • 公开参考倍率: 1.0
  • 声明的最大计数或单位数: 10000000
  • 结算证据来源: response_body

授权

Authorization
string
header
必填

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

请求体

application/json
lat
number

Latitude coordinate (-90 to 90). Must be used together with lon parameter.

必填范围: -90 <= x <= 90
示例:

51.5074

40.7128

lon
number

Longitude coordinate (-180 to 180). Must be used together with lat parameter.

必填范围: -180 <= x <= 180
示例:

-0.1278

-74.006

zip
string

5-digit ZIP code for United States locations only (premium feature). Alternative to lat/lon.

示例:

"10001"

"90210"

city
string

City name (premium feature). Alternative to lat/lon.

示例:

"London"

"New York"

state
string

US state name or abbreviation (for United States cities only, premium feature). Use with city parameter.

示例:

"California"

"CA"

country
string

Country name or ISO code (premium feature). Use with city parameter.

示例:

"United States"

"US"

响应

Tool result data

details
object[]
必填